[package]
authors = ["Tomáš Mládek <t@mldk.cz>"]
edition = "2018"
name = "upend"
version = "0.0.1"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
clap = "2.33.0"

env_logger = "^0.8"
log = "0.4"

anyhow = "1.0"
thiserror = "1.0"

rayon = "1.4.0"
futures-util = "~0.3.12"
lazy_static = "1.4.0"
once_cell = "1.7.2"

diesel = { version = "1.4", features = ["sqlite", "r2d2", "chrono", "serde_json"] }
diesel_migrations = "1.4"
libsqlite3-sys = { version = "^0", features = ["bundled"] }

actix = "^0.10"
actix-files = "^0.5"
actix-rt = "^2.0"
actix-web = "^3.3"
actix_derive = "^0.5"

chrono = { version = "0.4", features = ["serde"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
lexpr = "0.2.6"

bs58 = "^0.4"
filebuffer = "0.4.0"
tiny-keccak = { version = "2.0", features = ["k12"] }
unsigned-varint = { version = "^0", features = ["std"] }
uuid = { version = "0.8", features = ["v4"] }
walkdir = "2"

tree_magic = "0.2.3"

dotenv = "0.15.0"
webbrowser = "0.5.5"
xdg = "^2.1"

nonempty = "0.6.0"
